\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}
	
	\begin{loglogaxis}[
	legend pos = north west,
	]
	\addplot table[x={Threads}, y={Ad-hoc-KNL}, col sep={comma}] {figs/graficas/speedup-florencia-var.csv};
	\addlegendentry{\textit{Ad-hoc} KNL}
	
	\addplot table[x={Threads}, y={Eigen-KNL}, col sep={comma}] {figs/graficas/speedup-florencia-var.csv};
	\addlegendentry{Eigen KNL}
	
	\addplot table[x={Threads}, y={Eigen-i5}, col sep={comma}] {figs/graficas/speedup-florencia-var.csv};
	\addlegendentry{Eigen i5}
	
	\addplot table[x={Threads}, y={Ad-hoc-i5}, col sep={comma}] {figs/graficas/speedup-florencia-var.csv};
	\addlegendentry{\textit{Ad-hoc} i5}
	
	\addplot [color=black, no marks] coordinates {
		(1,1)
		(2,2)
		(4,4)
		(8,8)
		(16,16)
		(32,32)
		(68,68)
		(136,136)
		(272,272)
	};
	\addlegendentry{Ideal}
	\end{loglogaxis}
	
	\end{tikzpicture}
	\caption*{Imagen \texttt{florencia} ($6016 \times 4000$).}
	\label{fig:speedup-comparativa-var-florencia}
\end{figure}